    /**
     * @file to-title-case.js
     * @module to-title-case
     */

    /**
     * Uppercase the first letter of a string.
     *
     * @param {string} string
     *        String to be uppercased
     *
     * @return {string}
     *         The string with an uppercased first letter
     */
    function toTitleCase(string) {
      if (typeof string !== 'string') {
        return string;
      }

      return string.charAt(0).toUpperCase() + string.slice(1);
    }

    export default toTitleCase;

    /**
     * Compares the TitleCase versions of the two strings for equality.
     *
     * @param {string} str1
     *        The first string to compare
     *
     * @param {string} str2
     *        The second string to compare
     *
     * @return {boolean}
     *         Whether the TitleCase versions of the strings are equal
     */
    export function titleCaseEquals(str1, str2) {
      return toTitleCase(str1) === toTitleCase(str2);
    }